// rotate.cmd
// command to rotate unfixed vertices by angle roth (radians)
roth := 0.0;
rotate := { sss := sin(roth); ccc := cos(roth);
	 foreach vertex vv where not fixed do
	 { rrad := vv.x^2+vv.y^2;
	   oldx := vv.x;
	   set vv x vv.x*ccc-vv.y*sss;
	   set vv y oldx*sss+vv.y*ccc;
         }
       }
